Debian Bug report logs - #489740
Some programs fail while using Turkish Locale

version graph

Package: python2.7; Maintainer for python2.7 is Matthias Klose <doko@debian.org>; Source for python2.7 is src:python2.7.

Reported by: Mert Dirik <mertdirik@gmail.com>

Date: Mon, 7 Jul 2008 13:39:01 UTC

Severity: important

Tags: l10n, patch

Found in version python2.7/2.7.5-8

Fixed in version python2.5/2.5.2-8

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mertdirik@gmail.com, Matthias Klose <doko@debian.org>:
Bug#489740; Package python2.5. Full text and rfc822 format available.

Acknowledgement sent to Mert Dirik <mertdirik@gmail.com>:
New Bug report received and forwarded. Copy sent to mertdirik@gmail.com, Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mert Dirik <mertdirik@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python2.5: Some libs fail with Turkish Locale
Date: Mon, 07 Jul 2008 16:37:13 +0300
Package: python2.5
Version: 2.5.2-6
Severity: important
Tags: patch l10n

Some libraries fail when using Turkish locale. It is because of Turkish has 4 "I" (lowercase dotted i, lowercase dotless i, uppercase dotted i and uppercase dotless i). For details please look at [0]

Some applications fails because of this (namely some bzr plugins which use email lib)  and there is a potential every application which uses .upper()/.lower() can fail.

Pardus [1], which is a distro from Turkey solves some of this issues by patching few libraries to use ascii upper/lower methods [2]. I guess these patches can be applied to Debian package without breaking anything else. The following is the list of related patches:

http://svn.pardus.org.tr/pardus/2008/system/base/python/files/decimal-ascii.patch
http://svn.pardus.org.tr/pardus/2008/system/base/python/files/python-2.5.1-codec-ascii-tolower.patch
http://svn.pardus.org.tr/pardus/2008/system/base/python/files/trfix_emaillib.patch

There is also related Python bug #1813 [3] which lists all the source files which use non-ascii lower/upper methods. That bug has also a patch [4], but since it is lower level stuff than Pardus' patches, it can break some stuff.

That would be great if Turkish users can use Lenny's Python without a hassle.

Thank you very much.

[0]	http://www.i18nguy.com/unicode/turkish-i18n.html
[1]	http://www.pardus.org.tr/eng/
[2]	http://paketler.pardus.org.tr/2008/source/python.html
[3]	http://bugs.python.org/issue1813
[4]	http://bugs.python.org/file9440/turklocale.patch

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-vserver-686 (SMP w/1 CPU core)
Locale: LANG=tr_TR.UTF-8, LC_CTYPE=tr_TR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python2.5 depends on:
ii  libbz2-1.0                1.0.5-0.1      high-quality block-sorting file co
ii  libc6                     2.7-10         GNU C Library: Shared libraries
ii  libdb4.5                  4.5.20-12      Berkeley v4.5 Database Libraries [
ii  libncursesw5              5.6+20080308-1 Shared libraries for terminal hand
ii  libreadline5              5.2-3          GNU readline and history libraries
ii  libsqlite3-0              3.5.9-3        SQLite 3 shared library
ii  libssl0.9.8               0.9.8g-10.1    SSL shared libraries
ii  mime-support              3.44-1         MIME files 'mime.types' & 'mailcap
ii  python2.5-minimal         2.5.2-6        A minimal subset of the Python lan

python2.5 recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#489740; Package python2.5. Full text and rfc822 format available.

Acknowledgement sent to Mert Dirik <mertdirik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. Full text and rfc822 format available.

Message #10 received at 489740@bugs.debian.org (full text, mbox):

From: Mert Dirik <mertdirik@gmail.com>
To: 489740@bugs.debian.org
Subject: Some libs fail with Turkish Locale
Date: Mon, 07 Jul 2008 16:58:56 +0300
Sorry I didn't notice I've exceed the 80 column. Here is the corrected post.


Some libraries fail when using Turkish locale. It is because of Turkish has 4
"I" (lowercase dotted i, lowercase dotless i, uppercase dotted i and uppercase
dotless i). For details please look at [0]

Some applications fails because of this (namely some bzr plugins which use email
lib)  and there is a potential every application which uses .upper()/.lower()
can fail.

Pardus [1], which is a distro from Turkey solves some of this issues by patching
few libraries to use ascii upper/lower methods [2]. I guess these patches can be
applied to Debian package without breaking anything else. The following is the
list of related patches:

http://svn.pardus.org.tr/pardus/2008/system/base/python/files/decimal-ascii.patch
http://svn.pardus.org.tr/pardus/2008/system/base/python/files/python-2.5.1-codec-ascii-tolower.patch
http://svn.pardus.org.tr/pardus/2008/system/base/python/files/trfix_emaillib.patch

There is also related Python bug #1813 [3] which lists all the source files
which use non-ascii lower/upper methods. That bug has also a patch [4], but
since it is lower level stuff than Pardus' patches, it can break some stuff.

That would be great if Turkish users can use Lenny's Python without a hassle.

Thank you very much.

[0]	http://www.i18nguy.com/unicode/turkish-i18n.html
[1]	http://www.pardus.org.tr/eng/
[2]	http://paketler.pardus.org.tr/2008/source/python.html
[3]	http://bugs.python.org/issue1813
[4]	http://bugs.python.org/file9440/turklocale.patch




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mert Dirik <mertdirik@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 489740-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 489740-close@bugs.debian.org
Subject: Bug#489740: fixed in python2.5 2.5.2-8
Date: Sat, 12 Jul 2008 12:47:41 +0000
Source: python2.5
Source-Version: 2.5.2-8

We believe that the bug you reported is fixed in the latest version of
python2.5, which is due to be installed in the Debian FTP archive:

idle-python2.5_2.5.2-8_all.deb
  to pool/main/p/python2.5/idle-python2.5_2.5.2-8_all.deb
python2.5-dbg_2.5.2-8_i386.deb
  to pool/main/p/python2.5/python2.5-dbg_2.5.2-8_i386.deb
python2.5-dev_2.5.2-8_i386.deb
  to pool/main/p/python2.5/python2.5-dev_2.5.2-8_i386.deb
python2.5-examples_2.5.2-8_all.deb
  to pool/main/p/python2.5/python2.5-examples_2.5.2-8_all.deb
python2.5-minimal_2.5.2-8_i386.deb
  to pool/main/p/python2.5/python2.5-minimal_2.5.2-8_i386.deb
python2.5_2.5.2-8.diff.gz
  to pool/main/p/python2.5/python2.5_2.5.2-8.diff.gz
python2.5_2.5.2-8.dsc
  to pool/main/p/python2.5/python2.5_2.5.2-8.dsc
python2.5_2.5.2-8_i386.deb
  to pool/main/p/python2.5/python2.5_2.5.2-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 489740@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated python2.5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 12 Jul 2008 11:30:19 +0200
Source: python2.5
Binary: python2.5 python2.5-minimal python2.5-examples python2.5-dev idle-python2.5 python2.5-dbg
Architecture: source all i386
Version: 2.5.2-8
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 idle-python2.5 - An IDE for Python (v2.5) using Tkinter
 python2.5  - An interactive high-level object-oriented language (version 2.5)
 python2.5-dbg - Debug Build of the Python Interpreter (version 2.5)
 python2.5-dev - Header files and a static library for Python (v2.5)
 python2.5-examples - Examples for the Python language (v2.5)
 python2.5-minimal - A minimal subset of the Python language (version 2.5)
Closes: 489649 489740
Changes: 
 python2.5 (2.5.2-8) unstable; urgency=low
 .
   * Update to 20080712, taken from the 2.5 release branch.
     - Fix issues #1792, #2906, #3088, #3110, #3116, #3117, #3157, #3243.
   * Fix bashisms in Tools/faqwiz/move-faqwiz.sh. Closes: #489649.
   * Fix issues with turkish locale. Closes: #489740.
Checksums-Sha1: 
 4f94fbb881a645848785c965a65796dea502c291 1810 python2.5_2.5.2-8.dsc
 3ea8090e66e2eafbe065ae19aa15b80fe67d5775 229931 python2.5_2.5.2-8.diff.gz
 4fb72a6277f901dcc2e8fe4d2c69c57208e4e559 648296 python2.5-examples_2.5.2-8_all.deb
 e5ab9f286fff5267ef4d1095ac38fc143442bdf0 67124 idle-python2.5_2.5.2-8_all.deb
 af73da04c636d137d49317b323874e138dac7878 2900452 python2.5_2.5.2-8_i386.deb
 81cc12d5eee43a5905dc6f380437e0770cc02349 1178402 python2.5-minimal_2.5.2-8_i386.deb
 d8577e5b00acc9cab1b62176c3e5a617b97692b7 1894584 python2.5-dev_2.5.2-8_i386.deb
 7c95fca2ece3e59f9d4473bd074fc60f30ed51a7 7422444 python2.5-dbg_2.5.2-8_i386.deb
Checksums-Sha256: 
 765f497330cd6fb6ad173ee7b7dad1b3b49f48002e69775d3dbfccfcd3f02f9f 1810 python2.5_2.5.2-8.dsc
 92f69da87816e2fa37e4d72a43695395b2e1eccfa36eb54afeabc287e4982a9d 229931 python2.5_2.5.2-8.diff.gz
 5b901aee8c30d595d0079ee26ae67c2af65e13b0dfe7444412ffcaf82e1d9da4 648296 python2.5-examples_2.5.2-8_all.deb
 5405501770f3d5c6b7d56ec6e9c3289dfaaf6e1844efaac8718e9ff2c04dbe99 67124 idle-python2.5_2.5.2-8_all.deb
 446be2330334e92f0da4a3ef8d8afde7d04bb102526c67324bc622d0ff4c6e95 2900452 python2.5_2.5.2-8_i386.deb
 f65a08b02d0891b7d40df195f06dcc21886431cf64bb64466a50cd53fe2f88ef 1178402 python2.5-minimal_2.5.2-8_i386.deb
 e9b211081c0aff5971e1d7798cfe124549c104a7ef698e154a582d801364fe80 1894584 python2.5-dev_2.5.2-8_i386.deb
 5850ca35da93756f56926ce7715a45c7a323a9a7e8ec81958031131f15bf8a5c 7422444 python2.5-dbg_2.5.2-8_i386.deb
Files: 
 c4baa072be0d53cf87f8e256de7bbc9b 1810 python optional python2.5_2.5.2-8.dsc
 888bb0d80f4ae8f68ccfb978c7529c9b 229931 python optional python2.5_2.5.2-8.diff.gz
 b726fdc7f288a5e63d19225cf0344ee5 648296 python optional python2.5-examples_2.5.2-8_all.deb
 578126dc832a29b3e82526af1695a00c 67124 python optional idle-python2.5_2.5.2-8_all.deb
 14cd9115fbd9576e0d5832a923489c93 2900452 python optional python2.5_2.5.2-8_i386.deb
 3543cef5cde7842df8957e39f3c331b3 1178402 python optional python2.5-minimal_2.5.2-8_i386.deb
 496fbf9c42e3aa54f124bfa909fdda40 1894584 python optional python2.5-dev_2.5.2-8_i386.deb
 a8d73e7db45f81baff0e5757e81df7e1 7422444 python extra python2.5-dbg_2.5.2-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkh4o44ACgkQStlRaw+TLJwhXwCfZXGvIQsWye21QOG8juwzhpS5
iicAoI3Kl+lN3mBjhPYU75cgkxqzchK2
=9hzA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Aug 2008 07:29:13 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Mert Dirik <mertdirik@gmail.com> to control@bugs.debian.org. (Mon, 09 Dec 2013 00:51:04 GMT) Full text and rfc822 format available.

Bug reopened Request was from Mert Dirik <mertdirik@gmail.com> to control@bugs.debian.org. (Mon, 09 Dec 2013 00:51:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions python2.5/2.5.2-8. Request was from Mert Dirik <mertdirik@gmail.com> to control@bugs.debian.org. (Mon, 09 Dec 2013 00:51:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'python2.5' to 'python2.7'. Request was from Mert Dirik <mertdirik@gmail.com> to control@bugs.debian.org. (Mon, 09 Dec 2013 00:51:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions python2.5/2.5.2-6. Request was from Mert Dirik <mertdirik@gmail.com> to control@bugs.debian.org. (Mon, 09 Dec 2013 00:51:06 GMT) Full text and rfc822 format available.

Marked as fixed in versions python2.5/2.5.2-8. Request was from Mert Dirik <mertdirik@gmail.com> to control@bugs.debian.org. (Mon, 09 Dec 2013 01:00:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'Some programs fail while using Turkish Locale' from 'python2.5: Some libs fail with Turkish Locale' Request was from Mert Dirik <mertdirik@gmail.com> to control@bugs.debian.org. (Mon, 09 Dec 2013 01:00:04 GMT) Full text and rfc822 format available.

Marked as found in versions python2.7/2.7.5-8. Request was from Mert Dirik <mertdirik@gmail.com> to control@bugs.debian.org. (Mon, 09 Dec 2013 01:09:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:44:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.